You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@flink.apache.org by tr...@apache.org on 2022/02/16 13:05:51 UTC

[flink-statefun] branch master updated (5fc6e00 -> cd8e023)

This is an automated email from the ASF dual-hosted git repository.

trohrmann pushed a change to branch master
in repository https://gitbox.apache.org/repos/asf/flink-statefun.git.


    from 5fc6e00  [hotfix] Update README.md links to point to release-3.2 playground version
     add 9183d63  [hotfix] Fix typo in update_branch_version.sh
     new cd8e023  [FLINK-26153] Add update_playground_links.sh to update playground links

The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 tools/releasing/update_branch_version.sh           |  2 +-
 ...elease_branch.sh => update_playground_links.sh} | 32 ++++++++++------------
 2 files changed, 15 insertions(+), 19 deletions(-)
 copy tools/releasing/{create_release_branch.sh => update_playground_links.sh} (58%)

[flink-statefun] 01/01: [FLINK-26153] Add update_playground_links.sh to update playground links

Posted by tr...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

trohrmann pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/flink-statefun.git

commit cd8e0237f63bb84aae4137ae74481e5291944208
Author: Till Rohrmann <tr...@apache.org>
AuthorDate: Tue Feb 15 11:29:22 2022 +0100

    [FLINK-26153] Add update_playground_links.sh to update playground links
    
    This commit adds a new update_playground_links.sh script that updates links to
    Statefun's playground in various places.
    
    This closes #302.
---
 tools/releasing/update_playground_links.sh | 58 ++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/tools/releasing/update_playground_links.sh b/tools/releasing/update_playground_links.sh
new file mode 100755
index 0000000..c9b47c9
--- /dev/null
+++ b/tools/releasing/update_playground_links.sh
@@ -0,0 +1,58 @@
+#!/usr/bin/env bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+##
+## Required variables
+##
+PREVIOUS_RELEASE_VERSION=${PREVIOUS_RELEASE_VERSION}
+CURRENT_RELEASE_VERSION=${CURRENT_RELEASE_VERSION}
+
+if [ -z "${PREVIOUS_RELEASE_VERSION}" ]; then
+    echo "PREVIOUS_RELEASE_VERSION was not set."
+    exit 1
+fi
+
+if [ -z "${CURRENT_RELEASE_VERSION}" ]; then
+    echo "CURRENT_RELEASE_VERSION was not set."
+    exit 1
+fi
+
+# fail immediately
+set -o errexit
+set -o nounset
+
+CURR_DIR=`pwd`
+BASE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
+PROJECT_ROOT="${BASE_DIR}/../../"
+
+# Sanity check to ensure that resolved paths are valid; a LICENSE file should always exist in project root
+if [ ! -f ${PROJECT_ROOT}/LICENSE ]; then
+    echo "Project root path ${PROJECT_ROOT} is not valid; script may be in the wrong directory."
+    exit 1
+fi
+
+###########################
+
+cd ${PROJECT_ROOT}
+
+# change version strings in README
+perl -pi -e "s#https://github.com/apache/flink-statefun-playground/tree/release-$PREVIOUS_RELEASE_VERSION#https://github.com/apache/flink-statefun-playground/tree/release-$CURRENT_RELEASE_VERSION#g" README.md statefun-sdk-python/README.md statefun-sdk-js/README.md
+perl -pi -e "s#git clone -b release-$PREVIOUS_RELEASE_VERSION https://github.com/apache/flink-statefun-playground.git#git clone -b release-$CURRENT_RELEASE_VERSION https://github.com/apache/flink-statefun-playground.git#g" README.md
+
+cd ${CURR_DIR}
\ No newline at end of file